EarthCoordinate (KML Framework API)
Keywords: org.boehn.kmlframework.coordinates.EarthCoordinate class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.coordinates
Class EarthCoordinate

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Geometry
              org.boehn.kmlframework.kml.Point
                  org.boehn.kmlframework.coordinates.EarthCoordinate

All Implemented Interfaces:
  Coordinate

    public class EarthCoordinate

extends Point
implements Coordinate

Field Summary
`static double` | `EARTHRADIUS`

Constructor Summary
`EarthCoordinate()`
`EarthCoordinate(java.lang.Boolean extrude, AltitudeModeEnum altitudeMode, java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude)`
`EarthCoordinate(java.lang.Double longitude, java.lang.Double latitude)`
`EarthCoordinate(java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude)`

Method Summary
`double` | `distanceTo(EarthCoordinate earthCoordinate)`
`double` | `getRadius()`
`CartesianCoordinate` | `toCartesianCoordinate()`
`EarthCoordinate` | `toEarthCoordinate(EarthCoordinate earthCoordinate, java.lang.Double rotation, CartesianCoordinate localReferenceCoordinate, CartesianCoordinate scale)`
`java.lang.String` | `toString()`

Methods inherited from class org.boehn.kmlframework.kml.Point
`getAltitude, getAltitudeMode, getExtrude, getLatitude, getLongitude, getLongitudeLatitudeAltitudeString, setAltitude, setAltitudeMode, setExtrude, setLatitude, setLongitude, write, writeDelete`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EARTHRADIUS

    public static double EARTHRADIUS

Constructor Detail

### EarthCoordinate

    public EarthCoordinate()

### EarthCoordinate

    public EarthCoordinate(java.lang.Double longitude,
                           java.lang.Double latitude)

### EarthCoordinate

    public EarthCoordinate(java.lang.Double longitude,
                           java.lang.Double latitude,
                           java.lang.Double altitude)

### EarthCoordinate

    public EarthCoordinate(java.lang.Boolean extrude,
                           AltitudeModeEnum altitudeMode,
                           java.lang.Double longitude,
                           java.lang.Double latitude,
                           java.lang.Double altitude)

Method Detail

### getRadius

    public double getRadius()

### toCartesianCoordinate

    public CartesianCoordinate toCartesianCoordinate()

### distanceTo

    public double distanceTo(EarthCoordinate earthCoordinate)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toEarthCoordinate

    public EarthCoordinate toEarthCoordinate(EarthCoordinate earthCoordinate,
                                             java.lang.Double rotation,
                                             CartesianCoordinate localReferenceCoordinate,
                                             CartesianCoordinate scale)

  Specified by:
    `toEarthCoordinate` in interface `Coordinate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD